

-- 进场 即上架 出区
select t3.shop_name as shopName,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t0.goods_num as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t3.shop_code as seatNo,
       t.create_time as shelfLoadTime,
       'I' AS shelfLoadType,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_bddcb_ingoods_doc t
         left outer join wb_merch_shop_bddcb_ingoods_item t0 on t.bddcb_ingoods_doc_sn=t0.bddcb_ingoods_doc_sn
         left outer join pd_product_record t1 on t0.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.shop_sn=t3.shop_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where
        1 = 1
  and t.in_goods_doc_status='1' and t.ship_type='0' and t.in_goods_ship_status='2' and t.goods_biz_type='01' and t2.ems_class_type='zszc';


-- 出场  即下架 返区，返回保税区展示账册库位
select t3.shop_name as shopName,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t0.goods_num as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t3.shop_code as seatNo,
       t.create_time as shelfLoadTime,
       'E' AS shelfLoadType,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_bddcb_returngoods_doc t
         left outer join wb_merch_shop_bddcb_returngoods_item t0 on t.bddcb_returngoods_doc_sn=t0.bddcb_returngoods_doc_sn
         left outer join pd_product_record t1 on t0.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.shop_sn=t3.shop_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where
        1 = 1
  and t.return_goods_receipt_status='2' and t2.ems_class_type='zszc';

-- 销售 即下架
select t3.shop_name as shopName,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t.minus_num as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t3.shop_code as seatNo,
       t.create_time as shelfLoadTime,
       'E' AS shelfLoadType,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_order_minus t
         left outer join pd_product_record t1 on t.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.shop_sn=t3.shop_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where t.goods_biz_type='01' and t2.ems_class_type='zszc';



-- 转移 从一个门店移到另一个门店，对应从一个库位移到另一个库位
select t3.shop_name as shopName,
       t.create_time as shelfLoadTime,
       t.create_time as shelfUnLoadTime,
       t3.shop_code as targetSeatNo,
       t4.shop_code as originSeatNo,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t.move_num as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_move_record t
         left outer join pd_product_record t1 on t.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.in_shop_sn=t3.shop_sn
         left outer join wb_shop_base t4 on t.out_shop_sn=t4.shop_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where t.shop_type='10' and t.goods_biz_type='01' and t2.ems_class_type='zszc';


-- 门店库位 即oms门店库存
select t3.shop_name as shopName,
       t3.shop_code as seatNo,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t.shop_inve as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t4.merch_cst_rec_code AS ownerCode,
       t4.merch_cst_rec_name AS ownerName,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_inve t
         left outer join pd_product_record t1 on t.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.shop_sn=t3.shop_sn
         left outer join merchant_base t4 on t.merch_sn=t4.merch_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where t.goods_biz_type='01' and t.is_valid='0' and t2.ems_class_type='zszc' and t.sku='ISGDKK468310'



-- 不导入！！在库库存 即门店库存
select t3.shop_name as shopName,
       t1.prod_name AS goodsName,
       t1.cus_goods_code as codeTs,
       t1.sku as skuNo,
       t1.sku as goodsId,
       t1.unit_code AS gUnit,
       t.shop_inve as gQty,
       t1.legal_unit1_qty as legalQty,
       t5.legal_unit1_code as legalUnit,
       t1.cus_decl_ele AS goodsModel,
       t2.cus_ems_no as localEmsNo,
       t4.merch_cst_rec_code AS ownerCode,
       t4.merch_cst_rec_name AS ownerName,
       t.ware_sn AS storeCode,
       t.create_time as createTime
from wb_merch_shop_inve t
         left outer join pd_product_record t1 on t.sku=t1.sku
         left outer join ems_class_config t2 on t1.ems_class_code=t2.ems_class_code
         left outer join wb_shop_base t3 on t.shop_sn=t3.shop_sn
         left outer join merchant_base t4 on t.merch_sn=t4.merch_sn
         left outer join sys_cus_goods_code t5 on t1.cus_goods_code = t5.cus_goods_code
where t.goods_biz_type='01' and t.is_valid='0' and t2.ems_class_type='zszc';

